    <nav class="d-flex justify-content-center" aria-label="...">
        <ul class="pagination">
            <?php if ($page > 1): ?>
                <li class="page-item">
                    <a class="page-link no-wrap" href="#" onclick="Script.jumpTo (1)">|&lt;</a>
                </li>
            <?php else: ?>
                <li class="page-item disabled">
                    <span class="page-link">|&lt;</span>
                </li>
            <?php endif ?>

            <?php for ($i = max (min ($page + 2, $pages_max) - 4, 1); $i < $page; ++$i): ?>
                <li class="page-item">
                    <a class="page-link" href="#" onclick="Script.jumpTo (<?= $i ?>)"><?= $i ?></a>
                </li>
            <?php endfor ?>

            <li class="page-item active" aria-current="page">
                <span class="page-link"><?= $page ?></span>
            </li>

            <?php for ($i = $page + 1; $i <= min (max ($page - 2, 1) + 4, $pages_max); ++$i): ?>
                <li class="page-item">
                    <a class="page-link" href="#" onclick="Script.jumpTo (<?= $i ?>)"><?= $i ?></a>
                </li>
            <?php endfor ?>

            <?php if ($page < $pages_max): ?>
                <li class="page-item">
                    <a class="page-link no-wrap" href="#" onclick="Script.jumpTo (<?= $pages_max ?>)">&gt;|</a>
                </li>
            <?php else: ?>
                <li class="page-item disabled">
                    <span class="page-link">&gt;|</span>
                </li>
            <?php endif ?>
        </ul>
    </nav>

